MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007010ardourfeaturespublic2016-09-07 13:252016-11-15 05:05
Reportercooltehno_bugs 
Assigned Topaul 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformLinuxOSKXStudioOS Version14.04
Product Version5.X git (version in description) 
Target VersionFixed in Version5.X git (version in description) 
Summary0007010: Color customization: to divide the item "gtk_bright_indicator"
Description The clip indicator in the meters must be bright and pay attention. I think the red color is the best for this.

 In Ardour's color customization tool (Preferences>Theme>Colors>Items) we have an item "gtk_bright_indikator" to control the clip indicator's color.

 BUT, this item also controls the color of the frame located around the header of the selected track.
 So, to change the clip indicator's color forces us to change the header frame's color too. This situation is not good for some color themes, because it has influence on general design. For some color themes the red color of the selected header's frame is not acceptable.
 The proposal is: to divide the controlling colors of the clip indicator and the selected header's frame.
 See the illustration in the attachment.
Additional InformationThis problem doesn't let me to make the clip indicator red colored in the Cubasish theme. If I change the clip indicator to red, this makes the selected header's frame red. In my opinion it's not harmoniously with the general design.
TagsNo tags attached.
Attached Filesjpg file icon gtk_bright_indicator_problem.jpg [^] (320,915 bytes) 2016-09-07 13:25

- Relationships

-  Notes
(0018789)
paul (administrator)
2016-10-12 12:51

Should be possible @ 27cff39 or later, where gtk_clip_indicator is now available and used for the peak display.
(0018790)
cooltehno_bugs (reporter)
2016-10-12 13:38

Hello, Paul! Very big thank you!

- Issue History
Date Modified Username Field Change
2016-09-07 13:25 cooltehno_bugs New Issue
2016-09-07 13:25 cooltehno_bugs File Added: gtk_bright_indicator_problem.jpg
2016-10-12 12:51 paul Note Added: 0018789
2016-10-12 12:51 paul Assigned To => paul
2016-10-12 12:51 paul Status new => feedback
2016-10-12 13:38 cooltehno_bugs Note Added: 0018790
2016-10-12 13:38 cooltehno_bugs Status feedback => assigned
2016-11-15 05:05 timbyr Status assigned => resolved
2016-11-15 05:05 timbyr Fixed in Version => 5.X git (version in description)
2016-11-15 05:05 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker